Save a teammate
curl --request POST \
--url https://sandbox.hurdlr.com/rest/v5/accountant/teammate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: */*' \
--data '
{
"teammate": {
"users": [
{
"id": 123,
"userId": "<string>"
}
],
"id": 123,
"userId": "<string>",
"email": "jane@mycompany.com",
"firstName": "Jane",
"lastName": "Doe",
"canReopenBooks": true,
"canManageAdmins": true,
"canManageUsers": true,
"canAccessAllUsers": true,
"password": "password123"
}
}
'import requests
url = "https://sandbox.hurdlr.com/rest/v5/accountant/teammate"
payload = { "teammate": {
"users": [
{
"id": 123,
"userId": "<string>"
}
],
"id": 123,
"userId": "<string>",
"email": "jane@mycompany.com",
"firstName": "Jane",
"lastName": "Doe",
"canReopenBooks": True,
"canManageAdmins": True,
"canManageUsers": True,
"canAccessAllUsers": True,
"password": "password123"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "*/*"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': '*/*'},
body: JSON.stringify({
teammate: {
users: [{id: 123, userId: '<string>'}],
id: 123,
userId: '<string>',
email: 'jane@mycompany.com',
firstName: 'Jane',
lastName: 'Doe',
canReopenBooks: true,
canManageAdmins: true,
canManageUsers: true,
canAccessAllUsers: true,
password: 'password123'
}
})
};
fetch('https://sandbox.hurdlr.com/rest/v5/accountant/teammate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"errors": {
"fieldErrors": {},
"globalErrors": [
{
"errorMessage": "<string>"
}
]
},
"id": "<string>",
"webhook": {
"userId": "<string>",
"accountantUserId": "<string>"
}
}Accountant
Save a teammate
Saves a new (or update an existing) teammate of the authenticated accountant
POST
/
v5
/
accountant
/
teammate
Save a teammate
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
*/*
teammate object
Show child attributes
Show child attributes
Response
200 - application/json
Successful operation
Object containing details about result of the action performed
⌘I